

import java.io.Serializable;

public class ProjectId implements Serializable {
    private int studentId;
    private String name;

    public ProjectId() {}
    public ProjectId(int deptId, String name) {
        this.studentId = deptId;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return studentId;
    }

    public boolean equals(Object o) {
        return ((o instanceof ProjectId) && 
                name.equals(((ProjectId) o).getName()) && 
                studentId == ((ProjectId) o).getId());

    }

    public int hashCode() {
        return name.hashCode() + studentId;
    }
}