

import java.util.ArrayList;
import java.util.Collection;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Student {
    @Id
    private int id;
    private String name;
    @OneToMany(mappedBy="student")
    private Collection<Project> projects;

    public Student() {
        projects = new ArrayList<Project>();
    }
    
    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String deptName) {
        this.name = deptName;
    }
    
    public Collection<Project> getProjects() {
        return projects;
    }

    public String toString() {
        return "Student id: " + getId() + 
               ", name: " + getName();
    }
}
